Bug 175464

Summary: Update port: www/py-selenium Upgrade to 2.29.0
Product: Ports & Packages Reporter: Douglas Thrift <douglas>
Component: Individual Port(s)Assignee: Frederic Culot <culot>
Status: Closed FIXED    
Severity: Affects Only Me CC: douglas
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py-selenium.2013-01-20T223841Z.diff none

Description Douglas Thrift 2013-01-20 22:50:01 UTC
Upgraded www/py-selenium to version 2.29.0.

From CHANGES:

Selenium 2.29
* Allow subclassing of driver and have the ability to send_keys Issue 4877, 5017
* Simplifying save_screenshot and allow phantomjs to take screenshots

Selenium 2.28
* "null" can now be passed to executeScript
* Add transparent and extended colour keywords to color support module. Fixes issue 4866 

Selenium 2.27
* Added support for phantomjs / ghostdriver
* Fix python client, avoid duplicate chrome option items after reusing options class. Fixes Issue 4744.
* adding colour support to Python. fixes issue 4623
* Adding log_path/service_log_path as named kwargs for chrome
Comment 1 Edwin Groothuis freebsd_committer 2013-01-20 22:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-01-21 06:09:37 UTC
Responsible Changed
From-To: freebsd-python->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-01-21 08:03:06 UTC
Author: culot
Date: Mon Jan 21 08:02:54 2013
New Revision: 310751
URL: http://svnweb.freebsd.org/changeset/ports/310751

Log:
  - Update to 2.29.0 [1]
  - Trim Makefile's header
  
  PR:		ports/175464 [1]
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/py-selenium/Makefile
  head/www/py-selenium/distinfo
  head/www/py-selenium/pkg-plist

Modified: head/www/py-selenium/Makefile
==============================================================================
--- head/www/py-selenium/Makefile	Mon Jan 21 07:55:02 2013	(r310750)
+++ head/www/py-selenium/Makefile	Mon Jan 21 08:02:54 2013	(r310751)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	py-selenium
-# Date created:				6 November 2011
-# Whom:					Douglas Thrift
-#
+# Created by: Douglas Thrift
 # $FreeBSD$
-#
 
 PORTNAME=	selenium
-PORTVERSION=	2.26.0
+PORTVERSION=	2.29.0
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/www/py-selenium/distinfo
==============================================================================
--- head/www/py-selenium/distinfo	Mon Jan 21 07:55:02 2013	(r310750)
+++ head/www/py-selenium/distinfo	Mon Jan 21 08:02:54 2013	(r310751)
@@ -1,2 +1,2 @@
-SHA256 (selenium-2.26.0.tar.gz) = a1d623503739c1bede1fe3b53ece2893c546d9130bf0d7b26b03f33cf3031794
-SIZE (selenium-2.26.0.tar.gz) = 2103520
+SHA256 (selenium-2.29.0.tar.gz) = f12e1fc9346a8365f1803af7e5801d571a4c63879344aa15f562eeee4a2d29b3
+SIZE (selenium-2.29.0.tar.gz) = 2085853

Modified: head/www/py-selenium/pkg-plist
==============================================================================
--- head/www/py-selenium/pkg-plist	Mon Jan 21 07:55:02 2013	(r310750)
+++ head/www/py-selenium/pkg-plist	Mon Jan 21 08:02:54 2013	(r310751)
@@ -100,6 +100,15 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/opera/webdriver.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/opera/webdriver.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/opera/webdriver.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/service.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/service.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/service.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/webdriver.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/webdriver.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs/webdriver.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/remote/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/remote/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/remote/__init__.pyo
@@ -127,6 +136,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/abstract_event_listener.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/abstract_event_listener.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/abstract_event_listener.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/color.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/color.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/color.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/event_firing_webdriver.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/event_firing_webdriver.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/event_firing_webdriver.pyo
@@ -147,6 +159,7 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support/wait.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/support
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/remote
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/phantomjs
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/opera
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/ie
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/selenium/webdriver/firefox/x86
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-01-21 08:03:07 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!